## ros-noetic-fetch-driver-msgs 1.2.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(fetch_driver_msgs)

find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    actionlib_msgs
    geometry_msgs
    message_generation
    power_msgs
    std_msgs
)

add_action_files(
  FILES
    DisableCharging.action
)

add_message_files(
  FILES
    BoardState.msg
    ChargerState.msg
    JointState.msg
    GripperState.msg
    Gyro.msg
    MotorState.msg
    RobotState.msg
    SafetyLaserState.msg
)

generate_messages(
  DEPENDENCIES
    actionlib_msgs
    geometry_msgs
    power_msgs
    std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    actionlib
    actionlib_msgs
    geometry_msgs
    message_runtime
    power_msgs
    std_msgs
)

=== debian/changelog ===
ros-noetic-fetch-driver-msgs (1.2.0-1buster) buster; urgency=high

  * Noetic updates
  * Add bool field if charger is detected or not
  * Use std_msgs/Header for broader compatibility
    Some ROS APIs may not accept the short version ("Header")
    of the std_msgs/Header type.
  * updates maintainers
    Listed multiple individual maintainers and also included the internal
    mailing list to ensure the load is distributed in the event of build
    failures.
  * Contributors: Alex Moriarty, Eric Relson, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Sun, 21 Feb 2021 08:00:00 -0000

ros-noetic-fetch-driver-msgs (1.1.1-1buster) buster; urgency=high

  * [REP-140] package.xml format=2 (#14 <https://github.com/fetchrobotics/fetch_msgs/issues/14>)
    relates to issue fetchrobotics/fetch_ros#83 <https://github.com/fetchrobotics/fetch_ros/issues/83>
  * Contributors: Alex Moriarty

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Wed, 13 Feb 2019 08:00:00 -0000

ros-noetic-fetch-driver-msgs (1.0.1-1buster) buster; urgency=high

  * updates ownership
  * Merge pull request #11 <https://github.com/fetchrobotics/fetch_msgs/issues/11> from chadrockey/revert-10-safety_laser
    Revert "Add header and remove unused information from SafetyLaserState"
  * Revert "Add header and remove unused information from SafetyLaserState"
  * Merge pull request #10 <https://github.com/fetchrobotics/fetch_msgs/issues/10> from chadrockey/safety_laser
    Add header and remove unused information from SafetyLaserState
  * Add header and remove unused information from SafetyLaserState
  * Contributors: Chad Rockey, Russell Toris

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 10 Jul 2018 07:00:00 -0000

ros-noetic-fetch-driver-msgs (1.0.0-1buster) buster; urgency=high

  * Add Gyro message that includes more details about gyro.
  * Add SafetyLaserState message
  * Add LICENSE files.
  * Contributors: Derek King, Mac Mason, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 12 Sep 2017 07:00:00 -0000

ros-noetic-fetch-driver-msgs (0.6.1-1buster) buster; urgency=high

  * add new action for disabling charging
  * add notes on charging_mode
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 05 Jan 2016 08:00:00 -0000

ros-noetic-fetch-driver-msgs (0.6.0-1buster) buster; urgency=high

  * add new message for GripperState
  * add url to package.xmls
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 11 Aug 2015 07:00:00 -0000

ros-noetic-fetch-driver-msgs (0.5.2-1buster) buster; urgency=high

  * update license to BSD
  * move fetch_driver_msgs into package folder
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Tue, 16 Jun 2015 07:00:00 -0000

ros-noetic-fetch-driver-msgs (0.5.1-1buster) buster; urgency=high

  * Add balancing_mode to charger message. Change mode to charging_mode.
  * Contributors: Derek King, Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 04 Jun 2015 07:00:00 -0000

ros-noetic-fetch-driver-msgs (0.5.0-1buster) buster; urgency=high

  * move messages into their own package
  * Contributors: Michael Ferguson

 -- Carl Saldanha <csaldanha@fetchrobotics.com>  Thu, 04 Jun 2015 07:00:00 -0000

=== debian/control ===
Source: ros-noetic-fetch-driver-msgs
Section: misc
Priority: optional
Maintainer: Carl Saldanha <csaldanha@fetchrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-catkin, ros-noetic-geometry-msgs, ros-noetic-message-generation, ros-noetic-power-msgs, ros-noetic-std-msgs
Homepage: http://wiki.ros.org/fetch_driver_msgs
Standards-Version: 3.9.2

Package: ros-noetic-fetch-driver-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-actionlib, ros-noetic-actionlib-msgs, ros-noetic-geometry-msgs, ros-noetic-message-runtime, ros-noetic-power-msgs, ros-noetic-std-msgs
Description: Messages for the fetch_drivers package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-fetch-driver-msgs//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
